
/* -------------------------------------------------------------------- */
/*               -- C routine Get_Argument --                           */
/* -------------------------------------------------------------------- */

extern int    ada__argc_save;   /* number of command line arguments */
extern char **ada__argv_save;   /* pointers to command line arguments */

short Get_ArgC()
{

    return ada__argc_save;

} /* Get_ArgC */

short Get_ArgV( arg_index, arg_ptr, arg_max_len )
     short       arg_index;     /* index number of argument to be returned */
     char       *arg_ptr;       /* pointer to string for storing argument */
     short       arg_max_len;   /* maximum length of arg_ptr string */
{
    register char       *arg;   /* pointer to the argument */
    register char       *stop;  /* maximum pointer for the argument */

    /* check argument position number */

    if (arg_index >= ada__argc_save) return -1;

    /* one pass for every character in the parameter */
    /* until the null character at the end of the    */
    /* parameter is found                            */

    arg = ada__argv_save[arg_index];
    stop = arg + arg_max_len;
    for ( ; arg < stop; ) {
        if ((*arg_ptr++ = *arg++) == '\0') {
            --arg;
            break;
        }
    }

    /* return the length of the string */

    return (short)(arg - ada__argv_save[arg_index]);

} /* Get_Argument */
